dev-lang/
ocaml

Programming language supporting functional, imperative & object-oriented styles

https://ocaml.org/

Version 4.10.0 is available upstream. Please consider updating!
It seems that version 4.10.0 is available upstream, while the latest version in the Gentoo tree is 4.09.0.

Available Versions

Version amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
Warnings For All Versions
UnstableOnly for arches: [ alpha, hppa, ia64 ], all versions are unstable: [ 4.04.2-r1, 4.05.0-r1, 4.09.0 ]
UnstableOnly for arches: [ alpha, hppa, ia64 ], all versions are unstable: [ 4.04.2-r1, 4.05.0-r1, 4.09.0 ]
4.09.0 : 0 amd64 x86 ~alpha arm arm64 ~hppa ~ia64 ppc ppc64 ~sparc
LaggingStable slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], lagging: [ ~sparc ]
PotentialStable slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potentials: [ ~alpha, ~hppa, ~ia64 ]
LaggingStable slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], lagging: [ ~sparc ]
PotentialStable slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, x86 ], potentials: [ ~alpha, ~hppa, ~ia64 ]
4.05.0-r1 : 0 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
AbsoluteSymlink dosym called with absolute path on line 117: dosym /usr/$(get_libdir)/ocaml/caml
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by version: 4.09.0
AbsoluteSymlink dosym called with absolute path on line 117: dosym /usr/$(get_libdir)/ocaml/caml
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by version: 4.09.0
4.04.2-r1 : 0 amd64 x86 ~alpha arm arm64 ~hppa ~ia64 ppc ppc64 sparc
AbsoluteSymlink dosym called with absolute path on line 115: dosym /usr/$(get_libdir)/ocaml/caml
DeprecatedEapi uses deprecated EAPI 5
AbsoluteSymlink dosym called with absolute path on line 115: dosym /usr/$(get_libdir)/ocaml/caml
DeprecatedEapi uses deprecated EAPI 5
This package needs a new maintainer!
If you are interested in helping with the maintenance of ocaml, please get in touch with our Proxy Maintainers team.

Package Metadata

Changelog